Update Booking Tags
Update the tags associated with a booking. This replaces all existing tags with the provided list.
Endpointโ
PUT /v1/bookings/{id}/tags
Authenticationโ
Requires an API key with the bookings:write scope.
Path Parametersโ
| Parameter | Type | Description |
|---|---|---|
id | integer | The booking ID |
Request Bodyโ
| Field | Type | Required | Description |
|---|---|---|---|
tag_ids | array | Yes | Array of tag IDs to assign to the booking |
Responseโ
Success (200 OK)โ
{
"data": {
"tags": [
{
"id": 1,
"name": "VIP",
"color": "#FF5733"
},
{
"id": 3,
"name": "Returning Customer",
"color": "#33FF57"
}
]
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-02-01T10:00:00+00:00"
}
}
Example Requestsโ
Add Tags to a Bookingโ
curl -X PUT "https://app.equipdash.com/api/v1/bookings/123/tags" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tag_ids": [1, 3, 5]
}'
Remove All Tagsโ
Pass an empty array to remove all tags:
curl -X PUT "https://app.equipdash.com/api/v1/bookings/123/tags" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tag_ids": []
}'
Errorsโ
| Status | Code | Description |
|---|---|---|
| 400 | validation_error | Invalid tag IDs or tags don't belong to your account |
| 401 | authentication_required | No API key provided |
| 403 | insufficient_scope | API key lacks bookings:write scope |
| 403 | forbidden | Booking belongs to another supplier |
| 404 | resource_not_found | Booking not found |
Invalid Tag IDsโ
{
"error": {
"code": "validation_error",
"message": "The given data was invalid.",
"details": [
{
"field": "tag_ids",
"message": "Invalid tag IDs: 999, 1000"
}
]
},
"meta": {
"request_id": "req_abc123"
}
}
Notesโ
- This endpoint replaces all existing tags on the booking
- To add a tag without removing existing ones, first get the booking to see current tags, then include them in your request
- All tag IDs must belong to your supplier account
- See Tags API to manage available tags